Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: 2.1.4
    • Fix Version/s: 2.1.5
    • Component/s: Build
    • Labels:
      None
    • Environment:
      Virgo OSGi container

      Description

      OSGi version ranges are incorrect - they come from version 2.1.3. This causes spring-integration to fail when deploying in an OSGi container. Sample error message:

      An Import-Package could not be resolved. Caused by missing constraint in bundle <org.springframework.integration.file_2.1.4.RELEASE>
      constraint: <Import-Package: org.springframework.integration; version="[2.1.3,2.1.4)">
      An Import-Package could not be resolved. Caused by missing constraint in bundle <org.springframework.integration.jms_2.1.4.RELEASE>
      constraint: <Import-Package: org.springframework.integration; version="[2.1.3,2.1.4)">
      An Import-Package could not be resolved. Caused by missing constraint in bundle <org.springframework.integration.sftp_2.1.4.RELEASE>
      constraint: <Import-Package: org.springframework.integration.config.xml; version="[2.1.3,2.1.4)">
      An Import-Package could not be resolved. Caused by missing constraint in bundle <org.springframework.integration.jdbc_2.1.4.RELEASE>
      constraint: <Import-Package: org.springframework.integration; version="[2.1.3,2.1.4)">
      An Import-Package could not be resolved. Caused by missing constraint in bundle <org.springframework.integration.ftp_2.1.4.RELEASE>
      constraint: <Import-Package: org.springframework.integration; version="[2.1.3,2.1.4)">
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mark.fisher Mark Fisher
                Reporter:
                mtylenda MiƂosz Tylenda
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: